package com.ag.log.entity;


import com.ag.base.ISerializable;

import java.util.Date;

public class OperLogMain implements ISerializable {

  private String id;
  private String sourceType;
  private String bizType;
  private String keyword;
  private String ip;
  private String createdBy;
  private Date createdOn;
  private String tenancyId;
  private String menuName;

  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }

  public String getSourceType() {
    return sourceType;
  }

  public void setSourceType(String sourceType) {
    this.sourceType = sourceType;
  }

  public String getBizType() {
    return bizType;
  }

  public void setBizType(String bizType) {
    this.bizType = bizType;
  }

  public String getKeyword() {
    return keyword;
  }

  public void setKeyword(String keyword) {
    this.keyword = keyword;
  }

  public String getIp() {
    return ip;
  }

  public void setIp(String ip) {
    this.ip = ip;
  }

  public String getCreatedBy() {
    return createdBy;
  }

  public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
  }

  public Date getCreatedOn() {
    return createdOn;
  }

  public void setCreatedOn(Date createdOn) {
    this.createdOn = createdOn;
  }

  public String getTenancyId() {
    return tenancyId;
  }

  @Override
  public void setTenancyId(String tenancyId) {
    this.tenancyId = tenancyId;
  }

  public String getMenuName() {
    return menuName;
  }

  public void setMenuName(String menuName) {
    this.menuName = menuName;
  }
}
